org.eclipse.wst.jsdt.chromium.debug.core.model

## Class DebugElementImpl

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

Direct Known Subclasses:
  DebugElementImpl.WithConnectedBase, DebugTargetImpl

    public abstract class DebugElementImpl
    extends PlatformObject

A generic IDebugElement implementation. It holds a familiy of more specialized base classes.

### Nested Class Summary

Nested Classes
`static class` `DebugElementImpl.WithConnected` A base class for debug element that refers to `ConnectedTargetData`.
`static class` `DebugElementImpl.WithConnectedBase` An abstract base class for debug element that refers to `ConnectedTargetData`.
`static class` `DebugElementImpl.WithEvaluate` A base class for debug element that refers to `EvaluateContext`.
`static class` `DebugElementImpl.WithEvaluateBase` An abstract base class for debug element that refers to `EvaluateContext`.
`static class` `DebugElementImpl.WithSuspended` A base class for debug element that refers to `JavascriptThread.SuspendedState`.
`static class` `DebugElementImpl.WithSuspendedBase` An abstract base class for debug element that refers to `JavascriptThread.SuspendedState`.

### Constructor Summary

Constructors
Constructor and Description
`DebugElementImpl()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`abstract DebugTargetImpl` `getDebugTarget()`
`ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugElementImpl

    public DebugElementImpl()

### Method Detail

#### getDebugTarget

    public abstract DebugTargetImpl getDebugTarget()

#### getLaunch

    public ILaunch getLaunch()

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)